//
//  ConnectionStatusArguments.h
//  iTerm
//
//  Created by Felix Deimel on 13.03.13.
//
//

#import <Foundation/Foundation.h>

typedef enum _mrConnectionStatus {
    mrConnectionClosed = 0,
    mrConnectionConnecting = 1,
    mrConnectionConnected = 2,
    mrConnectionDisconnecting = 3
} mrConnectionStatus;

@interface ConnectionStatusArguments : NSObject {
    mrConnectionStatus status;
    int errorNumber;
    NSString *errorMessage;
}

@property (nonatomic, readwrite) mrConnectionStatus status;
@property (nonatomic, readwrite) int errorNumber;
@property (nonatomic, retain) NSString *errorMessage;

-(id)initWithStatus:(mrConnectionStatus)aStatus;
-(id)initWithStatus:(mrConnectionStatus)aStatus andErrorNumber:(int)aErrorNumber;
-(id)initWithStatus:(mrConnectionStatus)aStatus andErrorNumber:(int)aErrorNumber andErrorMessage:(NSString*)aErrorMessage;


@end