//
//  iTerm2Options.h
//  iTerm
//
//  Created by Felix Deimel on 13.03.13.
//
//

#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>

@interface iTerm2Options : NSObject {
    NSColor* foregroundColor;
    NSColor* backgroundColor;
    NSColor* selectionColor;
    NSColor* selectedTextColor;
    NSColor* boldCursorColor;
    NSColor* cursorColor;
    NSColor* cursorTextColor;
    BOOL smartCursorColor;
    NSColor* boldColor;
    
    NSColor* ansi0Color;
    NSColor* ansi1Color;
    NSColor* ansi2Color;
    NSColor* ansi3Color;
    NSColor* ansi4Color;
    NSColor* ansi5Color;
    NSColor* ansi6Color;
    NSColor* ansi7Color;
    NSColor* ansi8Color;
    NSColor* ansi9Color;
    NSColor* ansi10Color;
    NSColor* ansi11Color;
    NSColor* ansi12Color;
    NSColor* ansi13Color;
    NSColor* ansi14Color;
    NSColor* ansi15Color;
    
    NSString* terminalType;
    BOOL closeOnSessionEnd;
    NSStringEncoding encoding;
    int scrollbackLines;
    BOOL blinkCursor;
    int cursorAppearance;
    NSString* fontName;
    float fontSize;
    BOOL fontAntiAlias;
    NSString* nonAsciiFontName;
    float nonAsciiFontSize;
    BOOL nonAsciiFontAntiAlias;
    float verticalCharSpacing;
    float horizontalCharSpacing;
    BOOL enableLogging;
    NSString* logDirectory;
    int numPadMode;
    BOOL keepAlive;
    BOOL enableXtermMouseReporting;
    int leftOptionKeyMode;
    int rightOptionKeyMode;
    BOOL deleteKeySendsCtrlH;
    BOOL setLocaleVariables;
    BOOL unlimitedScrollback;
    NSString *displayName;
    
    NSRect initialFrame;
}

@property (nonatomic, retain) NSColor* foregroundColor;
@property (nonatomic, retain) NSColor* backgroundColor;
@property (nonatomic, retain) NSColor* selectionColor;
@property (nonatomic, retain) NSColor* selectedTextColor;
@property (nonatomic, retain) NSColor* boldCursorColor;
@property (nonatomic, retain) NSColor* cursorColor;
@property (nonatomic, retain) NSColor* cursorTextColor;
@property (nonatomic, assign) BOOL smartCursorColor;
@property (nonatomic, retain) NSColor* boldColor;

@property (nonatomic, retain) NSColor* ansi0Color;
@property (nonatomic, retain) NSColor* ansi1Color;
@property (nonatomic, retain) NSColor* ansi2Color;
@property (nonatomic, retain) NSColor* ansi3Color;
@property (nonatomic, retain) NSColor* ansi4Color;
@property (nonatomic, retain) NSColor* ansi5Color;
@property (nonatomic, retain) NSColor* ansi6Color;
@property (nonatomic, retain) NSColor* ansi7Color;
@property (nonatomic, retain) NSColor* ansi8Color;
@property (nonatomic, retain) NSColor* ansi9Color;
@property (nonatomic, retain) NSColor* ansi10Color;
@property (nonatomic, retain) NSColor* ansi11Color;
@property (nonatomic, retain) NSColor* ansi12Color;
@property (nonatomic, retain) NSColor* ansi13Color;
@property (nonatomic, retain) NSColor* ansi14Color;
@property (nonatomic, retain) NSColor* ansi15Color;

@property (nonatomic, retain) NSString* terminalType;
@property (nonatomic, assign) BOOL closeOnSessionEnd;
@property (nonatomic, assign) NSStringEncoding encoding;
@property (nonatomic, assign) int scrollbackLines;
@property (nonatomic, assign) BOOL blinkCursor;
@property (nonatomic, assign) int cursorAppearance;
@property (nonatomic, retain) NSString* fontName;
@property (nonatomic, assign) float fontSize;
@property (nonatomic, assign) BOOL fontAntiAlias;
@property (nonatomic, retain) NSString* nonAsciiFontName;
@property (nonatomic, assign) float nonAsciiFontSize;
@property (nonatomic, assign) BOOL nonAsciiFontAntiAlias;
@property (nonatomic, assign) float verticalCharSpacing;
@property (nonatomic, assign) float horizontalCharSpacing;
@property (nonatomic, assign) BOOL enableLogging;
@property (nonatomic, retain) NSString* logDirectory;
@property (nonatomic, assign) int numPadMode;
@property (nonatomic, assign) BOOL keepAlive;
@property (nonatomic, assign) BOOL enableXtermMouseReporting;
@property (nonatomic, assign) int leftOptionKeyMode;
@property (nonatomic, assign) int rightOptionKeyMode;
@property (nonatomic, assign) BOOL deleteKeySendsCtrlH;
@property (nonatomic, retain) NSString* displayName;
@property (nonatomic, assign) BOOL setLocaleVariables;
@property (nonatomic, assign) BOOL unlimitedScrollback;

@property (nonatomic, assign) NSRect initialFrame;

@end